From: Bastian Germann <bage@debian.org>
Date: Mon, 26 Feb 2024 20:44:57 +0100
Forwarded: not-needed
Subject: Make pyHanko optional

This should be removed as soon as pyHanko enters Debian.
---
 pyproject.toml        | 1 -
 xhtml2pdf/document.py | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

diff --git a/pyproject.toml b/pyproject.toml
index 86d8a99..6ccbef9 100644
--- a/pyproject.toml
+++ b/pyproject.toml
@@ -50,7 +50,6 @@ dependencies = [
     "arabic-reshaper>=3.0.0",
     "html5lib>=1.1",
     "Pillow>=8.1.1",
-    "pyHanko>=0.12.1",
     "pyhanko-certvalidator>=0.19.5",
     "pypdf>=3.1.0",
     "python-bidi>=0.4.2",
diff --git a/xhtml2pdf/document.py b/xhtml2pdf/document.py
index 55c39fd..f5727ee 100644
--- a/xhtml2pdf/document.py
+++ b/xhtml2pdf/document.py
@@ -20,7 +20,6 @@ from reportlab.lib import pdfencrypt
 from reportlab.platypus.flowables import Spacer
 from reportlab.platypus.frames import Frame
 
-from xhtml2pdf.builders.signs import PDFSignature
 from xhtml2pdf.builders.watermarks import WaterMarks
 from xhtml2pdf.context import pisaContext
 from xhtml2pdf.default import DEFAULT_CSS
@@ -202,6 +201,7 @@ def pisaDocument(
     if not has_bg:
         output = out
     if signature:
+        from xhtml2pdf.builders.signs import PDFSignature
         signoutput = io.BytesIO()
         do_ok = PDFSignature.sign(output, signoutput, signature)
         if do_ok:
